package app01b;

import app01b.to.Product;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ActionManager {
  public void execute(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {

    String action = request.getParameter("action");

    // execute an action if necessary
    if (action.equals("displayAddProductForm")) {
      // do nothing
    }
    else if (action.equals("saveProduct")) {
      // read and save the product into the database
      Product product = new Product();
      product.setProductName(request.getParameter("productName"));
      product.setDescription(request.getParameter("description"));
      product.setPrice(request.getParameter("price"));

      // code for persisting the Product object goes here
      request.setAttribute("product", product);
    }

  }
}
